Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
SystemOutWriter Class Reference

Abstract class for writing to character streams. More...

Inherits Writer.

## Public Member Functions
| SystemOutWriter ()
| ~SystemOutWriter ()
virtual void | close (Pool &p)
virtual void | flush (Pool &p)
virtual void | write (const LogString &str, Pool &p)
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions
static void | write (const LogString &str)
static void | flush ()
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Additional Inherited Members
Protected Member Functions inherited from Writer
| Writer ()
virtual | ~Writer ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

Abstract class for writing to character streams.

## Constructor & Destructor Documentation

SystemOutWriter | ( |  | ) |

~SystemOutWriter | ( |  | ) |

## Member Function Documentation

virtual void close | ( | Pool & | p | ) |
| virtual

Implements Writer.

virtual void flush | ( | Pool & | p | ) |
| virtual

Implements Writer.

static void flush | ( |  | ) |
| static

virtual void write | ( | const LogString & | str,
|  | Pool & | p
| ) |  |
| virtual

Implements Writer.

static void write | ( | const LogString & | str | ) |
| static

The documentation for this class was generated from the following file:

- systemoutwriter.h